Create transaction: Mutual Funds holdings import

👍

Learn about the Mutual Fund Holdings Import -

https://developers.gateway.smallcase.com/docs/mutual-fund-holdings-import

Once the transactionId is created, the same can be passed to the triggerMfTransaction method of the client-side SDK

User will be asked to enter his PAN and mobile number or email (mobile number or email must be linked to one of the folios user is holding) to generate an OTP.

Once the user generates an OTP, MFCentral will share the OTP on the entered mobile number or email. User needs to enter this OTP on the verify OTP screen.

Once that is done, the Mutual fund holdings will be fetched in background and will be shared on the registered webhook

Learn more

To import Mutual Funds transactions only from a particular date, you may optionally pass assetConfig.fromDate in yyyy-mm-dd format -


{
   "intent": "MF_HOLDINGS_IMPORT",
   "assetConfig": {
       "fromDate": "1986-01-15"
   }
}

Pre-fill PAN, Mobile number or Email in SDK flow (Gateway UI)

If your app has access to the user's PAN, Mobile no and Email, the same can be pre-filled in the Gateway UI for users to just confirm the details. To pre-fill, pass the PAN and Mobile no while creating the transaction -

{
    "intent": "MF_HOLDINGS_IMPORT",
    "assetConfig": {
        "flow": "wealth",
        "pan": "ABCTY1234D",
        "phone": "9876543210",
        "email": "[email protected]",
    }
}

Notes for pre-filling:

  • Both fields, pan and phone or email has to be passed for pre-filling to work
  • pan must be in uppercase
  • phone must be a 10-digit Indian number without country code
  • email must be a valid email address, following the standard format.

Mutual Fund Holdings Import using MFC’s CAS summary & detailed API

Gateway partner can request Mutual Fund Holdings response based on a combination of MFC's CAS summary and detailed API by passing responseConfig while creating the transactionId

{
    "intent": "MF_HOLDINGS_IMPORT",
    "assetConfig": {
        "flow": "wealth",
        "pan": "ABCTY1234D",
        "phone": "9876543210",
        "email": "[email protected]",
    },
    "responseConfig": {
        "casDetail": true,
        "casSummary": true
    }
}

Response Structure

A single, unified response will be shared over a webhook once for a transaction ID.

  1. casDetail = true, casSummary = true
  • Response structure would be similar to existing response
  • Response will be shared over webhook once smallcase gets CAS summary and detail API response
  1. casDetail = true, casSummary = false
  • No change in existing integration
  1. casDetail = false, casSummary = true
  • Response structure would be similar to existing response
  • Fields that are only available in detail API (and not in summary API) will be dropped
  • Additional keys only available in summary API will be added

Create transaction for lending flow

Pass the flow as lending in assetConfig in the request body. All other params behave the same as mentioned above.

{
    "intent": "MF_HOLDINGS_IMPORT",
    "assetConfig": {
        "flow": "lending",
        "pan": "ABCTY1234D",
        "phone": "9876543210",
        "email": "[email protected]",
    }
}

Path Params
string
required
Defaults to gatewaydemo

unique name assigned to each gateway partner

Body Params
string
required
Defaults to MF_HOLDINGS_IMPORT

Required | Define the intent of transaction = MF_HOLDINGS_IMPORT

assetConfig
object

[optional] transaction config

string

Optional | upto 256 characters, returned in the holdings response

responseConfig
object

[optional] combined response config

Headers
string
required
Defaults to gatewayDemo_secret

Required | apiSecret shared for authentication

string
required
Defaults to eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWVzdCI6dHJ1ZSwiaWF0IjoxNjU0MzIxMDAwfQ.qiZ_w1yFYXhkdLMlqI28XJOXitfZwr64e2oL-lMEHZU

Required | JWT signed with shared secret & payload for guest

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json